AgentCommandsAPI (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.AgentCommandsAPI class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent
Class AgentCommandsAPI

    java.lang.Object
      org.hyperic.hq.agent.AgentAPIInfo
          org.hyperic.hq.agent.AgentCommandsAPI

    public final class AgentCommandsAPI

extends AgentAPIInfo

An object which represents the internal Agent commands that can be called from a remote client.

Field Summary
`static java.lang.String` | `command_die`
`static java.lang.String` | `command_getCurrentAgentBundle`
`static java.lang.String` | `command_ping`
`static java.lang.String` | `command_receive_file`
`static java.lang.String` | `command_restart`
`static java.lang.String` | `command_upgrade`
`static java.lang.String[]` | `commandSet`
`static int` | `DEFAULT_PORT`

Constructor Summary
`AgentCommandsAPI()`

Method Summary

Methods inherited from class org.hyperic.hq.agent.AgentAPIInfo
`getBugfixVersion, getMajorVersion, getMinorVersion, getVersion, isCompatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### command_ping

    public static final java.lang.String command_ping

See Also:
  Constant Field Values

### command_getCurrentAgentBundle

    public static final java.lang.String command_getCurrentAgentBundle

See Also:
  Constant Field Values

### command_upgrade

    public static final java.lang.String command_upgrade

See Also:
  Constant Field Values

### command_restart

    public static final java.lang.String command_restart

See Also:
  Constant Field Values

### command_die

    public static final java.lang.String command_die

See Also:
  Constant Field Values

### command_receive_file

    public static final java.lang.String command_receive_file

See Also:
  Constant Field Values

### commandSet

    public static final java.lang.String[] commandSet

Constructor Detail

### AgentCommandsAPI

    public AgentCommandsAPI()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.